;;; - hypersrc-ids.el   -- Create unique identifiers for link targets.

;;; $Id: hypersrc-ids.el,v 0.3 1995/05/17 09:17:51 job Exp $

(defun hypersrc-new-id ()
  "Return a new, unique ID for hypertext link targets.
The ID is found by counting all existing targets in the current file,
and returning their number plus one."
  (let ((n 0))
    (map-extents
     (function
      (lambda (extent &optional maparg)
	(if (eq (extent-property extent 'hypersrc) 'target)
	    (setq n (1+ n)))
	nil)))
    (1+ n)))
	

(provide 'hypersrc-ids)
