#!/bin/csh -f

# textoppm.sh -- Convert LaTeX body text to Portable Pixmap
# Part of the HyperSource package for XEmacs
# -f for csh ignores .cshrc

# $Id: textoppm.sh,v 0.2 1995/05/23 13:24:07 job Exp $


# This shell script takes LaTeX source code (but without preamble!) and
# converts it into a PPM raster image. The resulting image is written to
# stdout.


# First, create LaTeX file with preamble around the actual source:

echo "\documentstyle[12pt]{article}" > ${1}.tex
echo "\thispagestyle{empty}" >> ${1}.tex
echo "\begin{document}" >> ${1}.tex
echo "\Huge" >> ${1}.tex
cat $1 >> ${1}.tex
echo "\end{document}" >> ${1}.tex


# Now, create from LaTeX -> DVI -> PostScript -> Portable PixMap file,
# removing all intermediate files immediately:
# (Messages are saved in a .log file)
# dvips -E would create an EPS file with correct bounding box, but
# turned by 90 degrees counterclockwise, so we can't use it.

latex ${1}.tex >& ${1}.log
/bin/rm ${1}.tex ${1}.aux
dvips ${1}.dvi >>& ${1}.log
/bin/rm ${1}.dvi
pstopnm ${1}.ps >>& ${1}.log
/bin/rm ${1}.ps
cat ${1}001.ppm | pnmcrop
/bin/rm ${1}001.ppm
